Subject: bug#16214: Consistency in dired-, occur-, and grep-mode

From: Richard Stallman <[email-masked]>
Date: Mon, 14 Feb 2022 23:30:01 -0500

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > I it is the former, I am surprised that you create a new file every
  > > day.  When I was working on software, I would make changes every day,
  > > but new files were rare.  How is it that you have such frequent
  > > occasions to put a new file into version control?  I'd like to
  > > understand what leads to this.

  > 'v' in vc-dired means 'vc-next-action'. It does whatever vc command is
  > appropriate at the given context. In my use case, I apply it in order to
  > commit a file or fileset. Every single day.

Boy am I spaced!  I knew that command, but didn't recall it.  All I
was thinking about was the previous messages which talked about v as
registering a file.

Sorry for the confusion.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)